Drop‑in Replacement
सुसंगतOpenAI आणि Anthropic SDKs सह काम करते. फक्त base URL बदला.
सर्व भाषा समान आहेत. तुम्हाला हवी ती भाषा निवडा.
OpenAI आणि Anthropic‑सुसंगत AI API ज्यात function calling, web search आणि structured outputs आहेत.
Shannon च्या OpenAI आणि Anthropic‑सुसंगत API सह शिप करण्यासाठी आवश्यक सर्व काही.
https://api.shannon-ai.com/v1/chat/completions function calling आणि streaming सह Chat Completions API वापरा.
https://api.shannon-ai.com/v1/messages Claude Messages फॉरमॅट, टूल्स आणि anthropic-version हेडर सह.
Authorization: Bearer <api-key> किंवा Claude‑स्टाइल कॉल्ससाठी X-API-Key सह anthropic-version.
सार्वजनिक डॉक्स - कॉल करण्यासाठी की आवश्यक स्ट्रीमिंग, फंक्शन कॉलिंग, संरचित आउटपुट्स, वेब शोध.
OpenAI आणि Anthropic APIs साठी drop-in replacement ज्यात टूल्स, structured outputs आणि built-in web search साठी native सपोर्ट आहे.
OpenAI आणि Anthropic SDKs सह काम करते. फक्त base URL बदला.
टूल्स परिभाषित करा, Shannon त्यांना कॉल करेल. auto, forced, none मोड्स सपोर्ट.
स्रोत उद्धरणांसह रिअल‑टाइम वेब शोध. आपोआप उपलब्ध.
विश्वसनीय डेटा काढण्यासाठी JSON मोड आणि JSON Schema enforcement.
ऑटोमॅटिक फंक्शन एक्झिक्युशन लूप्स. प्रत्येक विनंतीला 10 iterations पर्यंत.
रिअल‑टाइम टोकन स्ट्रीमिंगसाठी Server‑Sent Events.
तीन पायऱ्यांत सुरू करा. Shannon OpenAI आणि Anthropic क्लायंट्सला mirror करतो.
OpenAI‑सुसंगत endpoint वापरा.
https://api.shannon-ai.com/v1/chat/completions Authorization हेडरमध्ये Bearer auth वापरा.
भाषा निवडा आणि तुमची की घाला.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
max_tokens=1024
)
print(response.choices[0].message.content) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'system', content: 'You are a helpful assistant.' },
{ role: 'user', content: 'Hello, Shannon!' }
],
max_tokens: 1024
});
console.log(response.choices[0].message.content); package main
import (
"context"
"fmt"
openai "github.com/sashabaranov/go-openai"
)
func main() {
config := openai.DefaultConfig("YOUR_API_KEY")
config.BaseURL = "https://api.shannon-ai.com/v1"
client := openai.NewClientWithConfig(config)
resp, err := client.CreateChatCompletion(
context.Background(),
openai.ChatCompletionRequest{
Model: "shannon-1.6-lite",
Messages: []openai.ChatCompletionMessage{
{Role: "system", Content: "You are a helpful assistant."},
{Role: "user", Content: "Hello, Shannon!"},
},
MaxTokens: 1024,
},
)
if err != nil {
panic(err)
}
fmt.Println(resp.Choices[0].Message.Content)
} curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "shannon-1.6-lite",
"messages": [
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
"max_tokens": 1024
}' {
"id": "chatcmpl-abc123",
"object": "chat.completion",
"created": 1234567890,
"model": "Shannon 1.6 Lite",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "Hello! I'm Shannon, your AI assistant. How can I help you today?"
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 25,
"completion_tokens": 18,
"total_tokens": 43
}
} तुमच्या ब्राउझरमध्ये थेट Shannon API चाचणी करा. विनंती तयार करा, चालवा आणि रिअल‑टाइम प्रतिसाद पहा.
Switch across OpenAI Chat Completions, Responses, and Anthropic Messages without leaving the playground.
Run real requests, inspect raw JSON, and view stream events from the same operator console.
Signed-in users can pull their Shannon API key straight into the dedicated playground workspace.
/mr/docs/playground The playground now lives on its own route so the API docs stay Astro-rendered while the request builder remains an explicitly interactive client tool.
सर्व API विनंत्यांसाठी Shannon API की वापरून प्रमाणीकरण आवश्यक आहे.
Authorization: Bearer YOUR_API_KEY X-API-Key: YOUR_API_KEY
anthropic-version: 2023-06-01 Shannon विविध वापरासाठी ऑप्टिमाइझ केलेली अनेक मॉडेल्स देतो.
shannon-1.6-lite Shannon 1.6 Lite दैनंदिन कामांसाठी जलद, कार्यक्षम प्रतिसाद
shannon-1.6-pro Shannon 1.6 Pro जटिल समस्यांसाठी प्रगत रिझनिंग
shannon-2-lite Shannon 2 Lite
shannon-2-pro Shannon 2 Pro
shannon-coder-1 Shannon Coder कॉल‑आधारित कोटासह Claude Code CLI साठी ऑप्टिमाइझ्ड
क्रिया करण्यासाठी किंवा माहिती मिळवण्यासाठी Shannon ज्या टूल्सना कॉल करू शकतो ती परिभाषित करा.
from openai import OpenAI
import json
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Define available tools/functions
tools = [
{
"type": "function",
"function": {
"name": "get_weather",
"description": "Get current weather for a location",
"parameters": {
"type": "object",
"properties": {
"location": {
"type": "string",
"description": "City name, e.g., 'Tokyo'"
},
"unit": {
"type": "string",
"enum": ["celsius", "fahrenheit"]
}
},
"required": ["location"]
}
}
}
]
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[{"role": "user", "content": "What's the weather in Tokyo?"}],
tools=tools,
tool_choice="auto"
)
# Check if model wants to call a function
if response.choices[0].message.tool_calls:
tool_call = response.choices[0].message.tool_calls[0]
print(f"Function: {tool_call.function.name}")
print(f"Arguments: {tool_call.function.arguments}") import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const tools = [
{
type: 'function',
function: {
name: 'get_weather',
description: 'Get current weather for a location',
parameters: {
type: 'object',
properties: {
location: { type: 'string', description: "City name" },
unit: { type: 'string', enum: ['celsius', 'fahrenheit'] }
},
required: ['location']
}
}
}
];
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [{ role: 'user', content: "What's the weather in Tokyo?" }],
tools,
tool_choice: 'auto'
});
if (response.choices[0].message.tool_calls) {
const toolCall = response.choices[0].message.tool_calls[0];
console.log('Function:', toolCall.function.name);
console.log('Arguments:', toolCall.function.arguments);
} "auto" फंक्शन कॉल करायचे की नाही ते मॉडेल ठरवते (डीफॉल्ट) "none" या विनंतीसाठी फंक्शन कॉलिंग बंद करा {"type": "function", "function": {"name": "..."}} विशिष्ट फंक्शन कॉल सक्तीने {
"id": "chatcmpl-xyz",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": null,
"tool_calls": [
{
"id": "call_abc123",
"type": "function",
"function": {
"name": "get_weather",
"arguments": "{\"location\": \"Tokyo\", \"unit\": \"celsius\"}"
}
}
]
},
"finish_reason": "tool_calls"
}
]
} Shannon ला तुमच्या स्कीमाशी जुळणारा वैध JSON परत देण्यासाठी मजबूर करा.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Force JSON output with schema
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Extract: John Doe, 30 years old, engineer"}
],
response_format={
"type": "json_schema",
"json_schema": {
"name": "person_info",
"schema": {
"type": "object",
"properties": {
"name": {"type": "string"},
"age": {"type": "integer"},
"occupation": {"type": "string"}
},
"required": ["name", "age", "occupation"]
}
}
}
)
import json
data = json.loads(response.choices[0].message.content)
print(data) # {"name": "John Doe", "age": 30, "occupation": "engineer"} import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Extract: John Doe, 30 years old, engineer' }
],
response_format: {
type: 'json_schema',
json_schema: {
name: 'person_info',
schema: {
type: 'object',
properties: {
name: { type: 'string' },
age: { type: 'integer' },
occupation: { type: 'string' }
},
required: ['name', 'age', 'occupation']
}
}
}
});
const data = JSON.parse(response.choices[0].message.content);
console.log(data); // { name: "John Doe", age: 30, occupation: "engineer" } {"type": "json_object"} वैध JSON आउटपुट सक्तीने (विशिष्ट स्कीमा नाही) {"type": "json_schema", "json_schema": {...}} तुमच्या अचूक स्कीमाशी जुळणारा आउटपुट सक्तीने प्रतिक्रियाशील UI साठी Server‑Sent Events सह रिअल‑टाइम टोकन स्ट्रीमिंग सक्षम करा.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Enable streaming for real-time responses
stream = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Write a short poem about AI"}
],
stream=True
)
for chunk in stream:
if chunk.choices[0].delta.content:
print(chunk.choices[0].delta.content, end="", flush=True) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Enable streaming for real-time responses
const stream = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Write a short poem about AI' }
],
stream: true
});
for await (const chunk of stream) {
const content = chunk.choices[0]?.delta?.content;
if (content) process.stdout.write(content);
} Shannon मध्ये built-in web_search फंक्शन आहे जे आपोआप उपलब्ध असते.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Web search is automatically available!
# Shannon will use it when needed for current information
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "What are the latest AI news today?"}
],
# Optionally, explicitly define web_search tool
tools=[{
"type": "function",
"function": {
"name": "web_search",
"description": "Search the web for current information",
"parameters": {
"type": "object",
"properties": {
"query": {"type": "string", "description": "Search query"}
},
"required": ["query"]
}
}
}]
)
print(response.choices[0].message.content)
# Response includes sources and citations import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Web search is automatically available!
// Shannon will use it when needed for current information
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'What are the latest AI news today?' }
],
// Optionally, explicitly define web_search tool
tools: [{
type: 'function',
function: {
name: 'web_search',
description: 'Search the web for current information',
parameters: {
type: 'object',
properties: {
query: { type: 'string', description: 'Search query' }
},
required: ['query']
}
}
}]
});
console.log(response.choices[0].message.content);
// Response includes sources and citations Shannon Anthropic Messages API फॉरमॅटलाही सपोर्ट करतो.
https://api.shannon-ai.com/v1/messages import anthropic
client = anthropic.Anthropic(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/messages"
)
response = client.messages.create(
model="shannon-1.6-lite",
max_tokens=1024,
messages=[
{"role": "user", "content": "Hello, Shannon!"}
],
# Tool use (Anthropic format)
tools=[{
"name": "web_search",
"description": "Search the web",
"input_schema": {
"type": "object",
"properties": {
"query": {"type": "string"}
},
"required": ["query"]
}
}]
)
print(response.content[0].text) import Anthropic from '@anthropic-ai/sdk';
const client = new Anthropic({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/messages'
});
const response = await client.messages.create({
model: 'shannon-1.6-lite',
max_tokens: 1024,
messages: [
{ role: 'user', content: 'Hello, Shannon!' }
],
// Tool use (Anthropic format)
tools: [{
name: 'web_search',
description: 'Search the web',
input_schema: {
type: 'object',
properties: {
query: { type: 'string' }
},
required: ['query']
}
}]
});
console.log(response.content[0].text); कोणतेही OpenAI किंवा Anthropic SDK वापरा — फक्त base URL बदला.
अधिकृत OpenAI Python SDK - Shannon सोबत कार्य करते
pip install openai अधिकृत OpenAI Node.js SDK - Shannon सोबत कार्य करते
npm install openai OpenAI‑सुसंगत APIs साठी कम्युनिटी Go क्लायंट
go get github.com/sashabaranov/go-openai OpenAI‑सुसंगत APIs साठी कम्युनिटी Ruby क्लायंट
gem install ruby-openai OpenAI‑सुसंगत APIs साठी कम्युनिटी PHP क्लायंट
composer require openai-php/client OpenAI‑सुसंगत APIs साठी Async Rust क्लायंट
cargo add async-openai अधिकृत Anthropic Python SDK - Shannon सोबत कार्य करते
pip install anthropic अधिकृत Anthropic TypeScript SDK - Shannon सोबत कार्य करते
npm install @anthropic-ai/sdk Shannon मानक HTTP स्टेटस कोड वापरतो आणि तपशीलवार त्रुटी संदेश परत देतो.
{
"error": {
"message": "Invalid API key provided",
"type": "authentication_error",
"code": "invalid_api_key"
}
} Shannon API साठी अलीकडील अपडेट्स आणि सुधारणा.
YOUR_API_KEY तुमची API की गुप्त ठेवा. पुन्हा जनरेट केल्यास नवीन की तयार होते आणि जुनी अमान्य होते.
साइन इन असताना या पानावर टोकन व शोध वापर पहा.
Shannon Coder (shannon-coder-1) साठी कॉल‑आधारित कोटा. प्रत्येक 4 तासांनी रीसेट.
तुमची API की मिळवा आणि Shannon AI सोबत आजच बिल्ड करायला सुरुवात करा.
लोकप्रिय शोध: